## org.eclipse.datatools.connectivity.ui.dse.views
Class ConnectionProfileContentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.dse.views.ConnectionProfileContentProvider

public class ConnectionProfileContentProvider
extends java.lang.Object

Author:
  rcernich, shongxum, brianf

Constructor Summary
`ConnectionProfileContentProvider()` Constructor

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`boolean` `isShowCategories()`
`void` `setShowCategories(boolean showCategories)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileContentProvider

    public ConnectionProfileContentProvider()

  Constructor

Method Detail

### setShowCategories

    public void setShowCategories(boolean showCategories)

### isShowCategories

    public boolean isShowCategories()

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

### getParent

    public java.lang.Object getParent(java.lang.Object element)

### hasChildren

    public boolean hasChildren(java.lang.Object element)

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

### dispose

    public void dispose()

### inputChanged

    public void inputChanged(Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.